Bug 1417901 - Migrate a VM's disk that is thinly clone from a template to a target domain is not possible if that domain does not contain the template's disk
Summary: Migrate a VM's disk that is thinly clone from a template to a target domain i...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 11:44 UTC by Raz Tamir
Modified: 2018-07-02 08:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-02 08:36:22 UTC
oVirt Team: Storage
rule-engine: ovirt-4.3+


Attachments (Terms of Use)

Description Raz Tamir 2017-01-31 11:44:14 UTC
Description of problem:
When trying to move a VM's disk to storage domain that doesn't hold the template's disk copy, it will not be presented in the drop down list of target storage domain for the move operation.

** This bug is is following bug #1416354 comment #1

** No logs needed

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
On setup with 3 storage domains A, B and C which A and B contain a copy of template disk.
1. Create a VM from template as thin copy on domain A
2. Try to move the VM's disk to domain C
--> The only option for target domain, is domain B which is contain a copy of the template's disk (C doesn't have that copy)

Actual results:


Expected results:


Additional info:

Comment 1 Yaniv Lavi 2017-02-23 11:24:19 UTC
Moving out all non blocker\exceptions.

Comment 2 Tal Nisan 2018-07-02 08:36:22 UTC
Closing old bugs, please reopen if still needed, in any case patches are welcome.


Note You need to log in before you can comment on or make changes to this bug.